
/* ph_key: Sony PH Key Driver.
 *
 * Copyright 2017 Sony Corporation.
 * Author: Sony Corporation.
 *
 * This package is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef __PH_KEY__PH_KEY_H__INCLUDED__
#define __PH_KEY__PH_KEY_H__INCLUDED__


/* Flags */
#define PHKEY_FLAG_LOW      (0 << 0)
#define PHKEY_FLAG_HIGH     (1 << 0)
#define PHKEY_FLAG_POLLING  (1 << 1)
#define PHKEY_FLAG_WAKEUP   (1 << 2)

/* AD key data */
struct phkey_akeydata {
	u32 min;            /* min      */
	u32 max;            /* max      */
	u32 key_code;       /* key code */
};

#endif/*__PH_KEY__PH_KEY_H__INCLUDED__*/
